## gp-saml-gui 0.0~git20201229

=== requirements.txt ===
requests
pygobject

=== debian/changelog ===
gp-saml-gui (0.0~git20201229-2) unstable; urgency=medium

  * No-change source upload to build arch:all packages by the buildds.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 19 Jan 2021 17:50:12 +0100

gp-saml-gui (0.0~git20201229-1) unstable; urgency=medium

  * Initial release (Closes: #978558).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 30 Dec 2020 07:57:05 +0100

=== debian/control ===
Source: gp-saml-gui
Section: net
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               python3 (>= 3.2~),
               dh-python
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/dlenski/gp-saml-gui
Vcs-Git: https://salsa.debian.org/python-team/packages/gp-saml-gui.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/gp-saml-gui.git

Package: gp-saml-gui
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-gi,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.0,
         gir1.2-glib-2.0,
         python3-requests,
         openconnect (>= 8.06~),
         vpnc-scripts (>= 0.1~git20200226~)
Description: login to a GlobalProtect VPN that uses SAML authentication
 Helper script to allow you to interactively login to a GlobalProtect VPN that
 uses SAML authentication, so that you can subsequently connect with
 OpenConnect application.

=== debian/watch ===
version=4
opts="mode=git, pretty=0.0~git%cd, pgpmode=none" \
https://github.com/dlenski/gp-saml-gui HEAD 0.0~git20201229 uupdate

## gp-saml-gui 0.0~git20210909

=== debian/changelog ===
gp-saml-gui (0.0~git20210909-1ubuntu0.20.04.2) focal; urgency=medium

  * Fix focal verification failure (LP: #2026771).
    - d/control: Change openconnect minimum version to 8.05 to match the
      version available in focal.
    - d/control: Change vpnc-scripts minimum version to 0.1~git20190117 to
      match the version available in focal.

 -- Shane McKee <shane.mckee@canonical.com>  Mon, 14 Aug 2023 11:25:38 -0600

gp-saml-gui (0.0~git20210909-1ubuntu0.20.04.1) focal; urgency=medium

  * Initial upload, requested at (LP: #2026771).
    - Pick latest (SRU-) version from 22.04, but use focal-specific version.
    - d/control: Decrease debhelper-compat to 12 to enable 20.04 builds.
    - d/p/lp-2026771-Handle-headers-case-insensitively.patch is incl. to fix
      broken PAPG with SAML authentication.
    - d/control: Changes due to update-maintainer run

 -- Shane McKee <shane.mckee@canonical.com>  Wed, 26 Jul 2023 14:25:38 -0600

gp-saml-gui (0.0~git20210909-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control:
    - Bump Standards-Version to 4.6.0.
  * debian/copyright:
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 24 Sep 2021 15:47:49 +0200

=== debian/control ===
Source: gp-saml-gui
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 12),
               python3 (>= 3.2~),
               dh-python
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/dlenski/gp-saml-gui
Vcs-Git: https://salsa.debian.org/python-team/packages/gp-saml-gui.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/gp-saml-gui.git

Package: gp-saml-gui
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-gi,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.0,
         gir1.2-glib-2.0,
         python3-requests,
         openconnect (>= 8.05~),
         vpnc-scripts (>= 0.1~git20190117~)
Description: login to a GlobalProtect VPN that uses SAML authentication
 Helper script to allow you to interactively login to a GlobalProtect VPN that
 uses SAML authentication, so that you can subsequently connect with
 OpenConnect application.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gp-saml-gui
export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/share/gp-saml-gui \
	--install-scripts=/usr/share/gp-saml-gui

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_clean:
	dh_clean $@
	rm -fr *.egg-info

override_dh_auto_install:
	dh_auto_install $@
	find $(CURDIR)/debian/gp-saml-gui \
		-name "*gp_saml_gui.py" \
		-exec chmod +x {} \;

## gp-saml-gui 0.0~git20220611

=== debian/changelog ===
gp-saml-gui (0.0~git20220611-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control:
    - Build-depend on dh-sequence-python3.
    - Bump Standards-Version to 4.6.1.
  * debian/rules:
    * Move debhelper sequences to debian/control.
    * Use execute_after commands.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 10 Jul 2022 14:36:36 +0200

=== debian/watch ===
version=4
opts="mode=git, pretty=0.0~git%cd, pgpmode=none" \
https://github.com/dlenski/gp-saml-gui HEAD 0.0~git20220611 uupdate

## gp-saml-gui 0.0~git20220831

=== debian/changelog ===
gp-saml-gui (0.0~git20220831-1ubuntu0.23.04.1) lunar; urgency=medium

  * Add d/p/lp-2026771-Handle-headers-case-insensitively.patch to fix broken
    PAPG with SAML authentication working (LP: #2026771)
  * d/control: Changes due to update-maintainer run.

 -- Shane McKee <shane.mckee@canonical.com>  Wed, 26 Jul 2023 14:12:25 -0600

gp-saml-gui (0.0~git20220831-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 26 Sep 2022 21:09:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3 (>= 3.2~),
                dh-python
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/dlenski/gp-saml-gui
 Vcs-Git: https://salsa.debian.org/python-team/packages/gp-saml-gui.git
@@ -22,8 +23,8 @@
          gir1.2-webkit2-4.0,
          gir1.2-glib-2.0,
          python3-requests,
-         openconnect (>= 8.05~),
-         vpnc-scripts (>= 0.1~git20190117~)
+         openconnect (>= 8.06~),
+         vpnc-scripts (>= 0.1~git20200226~)
 Description: login to a GlobalProtect VPN that uses SAML authentication
  Helper script to allow you to interactively login to a GlobalProtect VPN that
  uses SAML authentication, so that you can subsequently connect with

=== debian/watch ===
version=4
opts="mode=git, pretty=0.0~git%cd, pgpmode=none" \
https://github.com/dlenski/gp-saml-gui HEAD 0.0~git20220831 uupdate

## gp-saml-gui 0.0~git20230507

=== debian/changelog ===
gp-saml-gui (0.0~git20230507-3) unstable; urgency=medium

  * debian/control:
    - Remove hard dependency on openconnect, move to recommends,
      thanks to Corey Hickey for the bug report (Closes: #1063215).
  * debian/copyright:
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Feb 2024 15:59:22 +0100

gp-saml-gui (0.0~git20230507-2) unstable; urgency=medium

  * Team upload
  * Add patch to switch from webkit2gtk 4.0 to 4.1
  * Update dependency

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 17:12:59 -0500

gp-saml-gui (0.0~git20230507-1) unstable; urgency=medium

  [ Luca Falavigna ]
  * New upstream snapshot (Closes: #1042372).
  * debian/control:
    - Bump Standards-Version to 4.6.2.
  * debian/copyright:
    - Update copyright years.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 29 Jul 2023 19:45:23 +0200

=== debian/control ===
Source: gp-saml-gui
Section: net
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               dh-python
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/dlenski/gp-saml-gui
Vcs-Git: https://salsa.debian.org/python-team/packages/gp-saml-gui.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/gp-saml-gui.git

Package: gp-saml-gui
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-gi,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.1,
         gir1.2-glib-2.0,
         python3-requests
Recommends: openconnect (>= 8.06~)
Description: login to a GlobalProtect VPN that uses SAML authentication
 Helper script to allow you to interactively login to a GlobalProtect VPN that
 uses SAML authentication, so that you can subsequently connect with
 OpenConnect application.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gp-saml-gui
export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/share/gp-saml-gui \
	--install-scripts=/usr/share/gp-saml-gui

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_clean:
	rm -fr *.egg-info

execute_after_dh_auto_install:
	find $(CURDIR)/debian/gp-saml-gui \
		-name "*gp_saml_gui.py" \
		-exec chmod +x {} \;

=== debian/watch ===
version=4
opts="mode=git, pretty=0.0~git%cd, pgpmode=none" \
https://github.com/dlenski/gp-saml-gui HEAD 0.0~git20230507 uupdate

## gp-saml-gui 0.0~git20240504

=== debian/changelog ===
gp-saml-gui (0.0~git20240504-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/patches/webkit.patch:
    - Dropped, merged upstream.
  * debian/control:
    - Bump Standards-Version to 4.7.0.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 07 May 2024 09:37:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-sequence-python3,
                python3,
                dh-python
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/dlenski/gp-saml-gui
 Vcs-Git: https://salsa.debian.org/python-team/packages/gp-saml-gui.git

=== debian/watch ===
version=4
opts="mode=git, pretty=0.0~git%cd, pgpmode=none" \
https://github.com/dlenski/gp-saml-gui HEAD 0.0~git20240504 uupdate

## gp-saml-gui 0.0~git20240904

=== debian/changelog ===
gp-saml-gui (0.0~git20240904-2) unstable; urgency=medium

  * Brown paper bag release.
  * Really add python3-setuptools to Build-Depends.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 06 Sep 2024 15:50:58 +0200

gp-saml-gui (0.0~git20240904-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control:
    - Build-Depends on python3-setuptools (Closes: #1080601).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 06 Sep 2024 15:22:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3,
+               python3-setuptools,
                dh-python
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="mode=git, pretty=0.0~git%cd, pgpmode=none" \
https://github.com/dlenski/gp-saml-gui HEAD 0.0~git20240904 uupdate

## gp-saml-gui 0.0~git20241120

=== debian/changelog ===
gp-saml-gui (0.0~git20241120-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/patches/openconnect_path.patch:
    - Use absolute path for openconnect (Closes: #1084522).
  * debian/control:
    - Bump Standards-Version to 4.7.2.
  * debian/copyright:
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 03 Apr 2025 21:25:31 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3,
                python3-setuptools,
                dh-python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/dlenski/gp-saml-gui
 Vcs-Git: https://salsa.debian.org/python-team/packages/gp-saml-gui.git

=== debian/watch ===
version=4
opts="mode=git, pretty=0.0~git%cd, pgpmode=none" \
https://github.com/dlenski/gp-saml-gui HEAD 0.0~git20241120 uupdate
